Name:          swank-clojure
Version:       1.2.1
Release:       %mkrel 1
Summary:       Swank server connecting Clojure to Emacs SLIME
Group:         Development/Java
License:       EPL 1.0
Url:           https://github.com/technomancy/
# git clone git://github.com/technomancy/swank-clojure.git
# cd swank-clojure && git archive --format=tar --prefix=swank-clojure-1.2.1/ 1.2.1 | xz > swank-clojure-1.2.1.tar.xz
Source0:       swank-clojure-1.2.1.tar.xz
# http://repo1.maven.org/maven2/com/github/technomancy/swank-clojure/1.2.1/
Source1:       swank-clojure-1.2.1-mod.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: clojure
BuildRequires: clojure-maven-plugin
BuildRequires: maven

Requires:      clojure

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Swank Clojure is a server that allows SLIME 
(Superior Lisp Interaction Mode for Emacs)
to connect to Clojure projects. To use it
you must launch a swank server,
then connect to it from within Emacs.

%prep
%setup -q -n swank-clojure-%{version}

cp -p %SOURCE1 pom.xml
cp -p project.clj src/

%build

mvn-rpmbuild -e install

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc COPYING NEWS README.md TODO.org swank-clojure.el


%changelog

* Sun Nov 13 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 167304
- imported package swank-clojure

